| The Red Matrix

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Pages
Functions
security.php File Reference

## Functions
| authenticate_success ($user_record, $login_initial=false, $interactive=false, $return=false, $update_lastlog=false)
| change_channel ($change_channel)
| permissions_sql ($owner_id, $remote_verified=false, $groups=null)
| item_permissions_sql ($owner_id, $remote_verified=false, $groups=null)
| public_permissions_sql ($observer_hash)
| get_form_security_token ($typename= '')
| check_form_security_token ($typename= '', $formname= 'form_security_token')
| check_form_security_std_err_msg ()
| check_form_security_token_redirectOnErr ($err_redirect, $typename= '', $formname= 'form_security_token')
| check_form_security_token_ForbiddenOnErr ($typename= '', $formname= 'form_security_token')
if(!function_exists('init_groups_visitor')) | stream_perms_api_uids ($perms_min=PERMS_SITE)

## Function Documentation

authenticate_success | ( |  | $user_record,
|  |  | $login_initial = `false`,
|  |  | $interactive = `false`,
|  |  | $return = `false`,
|  |  | $update_lastlog = `false`
| ) |  |

Referenced by api_login(), and register_post().

change_channel | ( |  | $change_channel | ) |

Referenced by api_user(), authenticate_success(), manage_content(), and new_channel_post().

check_form_security_std_err_msg | ( |  | ) |

Referenced by check_form_security_token_redirectOnErr().

check_form_security_token | ( |  | $typename = `''`,
|  |  | $formname = `'form_security_token'`
| ) |  |

Referenced by check_form_security_token_ForbiddenOnErr(), and check_form_security_token_redirectOnErr().

check_form_security_token_ForbiddenOnErr | ( |  | $typename = `''`,
|  |  | $formname = `'form_security_token'`
| ) |  |

Referenced by group_content().

check_form_security_token_redirectOnErr | ( |  | $err_redirect,
|  |  | $typename = `''`,
|  |  | $formname = `'form_security_token'`
| ) |  |

Referenced by admin_page_logs_post(), admin_page_plugins(), admin_page_site_post(), admin_page_themes(), admin_page_users(), admin_page_users_post(), group_content(), group_post(), invite_post(), profile_photo_post(), profiles_init(), profiles_post(), and settings_post().

get_form_security_token | ( |  | $typename = `''` | ) |

Referenced by admin_page_logs(), admin_page_plugins(), admin_page_site(), admin_page_themes(), admin_page_users(), group_content(), invite_content(), and profiles_content().

item_permissions_sql | ( |  | $owner_id,
|  |  | $remote_verified = `false`,
|  |  | $groups = `null`
| ) |  |

Construct permissions

default permissions - anonymous user

Profile owner - everything is visible

Authenticated visitor. Unless pre-verified, check that the contact belongs to this $owner_id and load the groups the visitor belongs to. If pre-verified, the caller is expected to have already done this and passed the groups into this function.

Referenced by channel_content(), items_fetch(), and zot_feed().

permissions_sql | ( |  | $owner_id,
|  |  | $remote_verified = `false`,
|  |  | $groups = `null`
| ) |  |

Construct permissions

default permissions - anonymous user

Profile owner - everything is visible

Authenticated visitor. Unless pre-verified, check that the contact belongs to this $owner_id and load the groups the visitor belongs to. If pre-verified, the caller is expected to have already done this and passed the groups into this function.

Referenced by attach_by_hash(), attach_by_hash_nodata(), attach_count_files(), attach_list_files(), photo_init(), photos_albums_list(), photos_content(), photos_list_photos(), and z_readdir().

public_permissions_sql | ( |  | $observer_hash | ) |

Referenced by display_content().

if (!function_exists('init_groups_visitor')) stream_perms_api_uids | ( |  | $perms_min = `PERMS_SITE` | ) |

Referenced by api_status_show(), api_statuses_public_timeline(), api_users_show(), and display_content().